Subject: Re: bug#55068: 29.0.50; crashes when trying to set default font

From: Gregor Zattler <[email-masked]>
Date: Mon, 23 May 2022 11:40:08 +0200

Hi Lars,
* Lars Ingebrigtsen <[email-masked]> [2022-05-23; 10:01]:
> Gregor Zattler <[email-masked]> writes:
>> 1. Start emacs -Q
>> 2. click "Option" in menu bar
>> 3. click "Set default Font" in drop down  menu
>
> This pops up the `x-select-font' font chooser for me, so I can't
> reproduce it directly...
>
>> 4. hoover over  "More Fonts" on context menu
>> 5. click "by Family"
>> 6. emacs crashes
>
> But calling `mouse-select-font' directly gives me that menu, but I can't
> reproduce the crash.  I get an enormously long menu, but I guess the
> length depends on the number of installed fonts.
>
> (length (font-family-list))
> => 1211
> here -- what does this return for you, Gregor?

=> 3495

I installed NOTO fonts and friends...

I personally am not dependent on this bug being resolved.  I
can easily uninstall most of this fonts, as I do not really
need them, if it helps my case.  But I'm happy to help
chasing down the bug, meaning to answer questions, as all
this is very much beyond my skills.

Thanks for looking into this, Gregor